From 67ba0b523191488ab4875065eb90ff010d48c511 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:09 +0000
Subject: [PATCH 378/2232] Rename VectorTarget to VectorElement


I assume VectorTarget was copied from the naming of UniquePtrTarget, but
pointers have a "target" (i.e. Deref<Target = T>) while vectors have an
"element".

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 9eb1e56..4ecaf07 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -27,7 +27,7 @@ pub fn bridge(namespace: &Namespace, ffi: ItemMod) -> Result<TokenStream> {
     // traits on them.
     expanded.extend(quote! {
         pub struct Vector<T>(pub ::cxx::CxxVector<T>);
-        impl<T: cxx::private::VectorTarget<T>> Vector<T> {
+        impl<T: cxx::private::VectorElement<T>> Vector<T> {
             pub fn size(&self) -> usize {
                 self.0.size()
             }
@@ -44,7 +44,7 @@ pub fn bridge(namespace: &Namespace, ffi: ItemMod) -> Result<TokenStream> {
                 self.0.push_back(item)
             }
         }
-        impl<'a, T: cxx::private::VectorTarget<T>> IntoIterator for &'a Vector<T> {
+        impl<'a, T: cxx::private::VectorElement<T>> IntoIterator for &'a Vector<T> {
             type Item = &'a T;
             type IntoIter = <&'a ::cxx::CxxVector<T> as IntoIterator>::IntoIter;
 
@@ -686,7 +686,7 @@ fn expand_vector(namespace: &Namespace, ty: &Type) -> TokenStream {
     let link_push_back = format!("{}push_back", prefix);
 
     quote! {
-        impl ::cxx::private::VectorTarget<#inner> for #inner {
+        impl ::cxx::private::VectorElement<#inner> for #inner {
             fn get_unchecked(v: &::cxx::CxxVector<#inner>, pos: usize) -> &#inner {
                 extern "C" {
                     #[link_name = #link_get_unchecked]
@@ -729,7 +729,7 @@ pub fn expand_vector_builtin(ident: Ident) -> TokenStream {
     let link_push_back = format!("{}push_back", prefix);
 
     quote! {
-        impl VectorTarget<#inner> for #inner {
+        impl VectorElement<#inner> for #inner {
             fn get_unchecked(v: &CxxVector<#inner>, pos: usize) -> &#inner {
                 extern "C" {
                     #[link_name = #link_get_unchecked]
diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 0be971d..d81b4fe 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -1,6 +1,6 @@
 use std::mem;
 
-pub trait VectorTarget<T> {
+pub trait VectorElement<T> {
     fn get_unchecked(v: &CxxVector<T>, pos: usize) -> &T
     where
         Self: Sized;
@@ -25,7 +25,7 @@ pub struct CxxVector<T> {
     _private: [T; 0],
 }
 
-impl<T: VectorTarget<T>> CxxVector<T> {
+impl<T: VectorElement<T>> CxxVector<T> {
     /// Returns the length of the vector in bytes.
     pub fn size(&self) -> usize {
         T::vector_length(self)
@@ -58,7 +58,7 @@ pub struct VectorIntoIterator<'a, T> {
     index: usize,
 }
 
-impl<'a, T: VectorTarget<T>> IntoIterator for &'a CxxVector<T> {
+impl<'a, T: VectorElement<T>> IntoIterator for &'a CxxVector<T> {
     type Item = &'a T;
     type IntoIter = VectorIntoIterator<'a, T>;
 
@@ -67,7 +67,7 @@ impl<'a, T: VectorTarget<T>> IntoIterator for &'a CxxVector<T> {
     }
 }
 
-impl<'a, T: VectorTarget<T>> Iterator for VectorIntoIterator<'a, T> {
+impl<'a, T: VectorElement<T>> Iterator for VectorIntoIterator<'a, T> {
     type Item = &'a T;
 
     fn next(&mut self) -> Option<Self::Item> {
diff --git a/src/lib.rs b/src/lib.rs
index a25f83d..1af4d0f 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -385,7 +385,7 @@ pub use cxxbridge_macro::bridge;
 // Not public API.
 #[doc(hidden)]
 pub mod private {
-    pub use crate::cxx_vector::VectorTarget;
+    pub use crate::cxx_vector::VectorElement;
     pub use crate::function::FatFunction;
     pub use crate::opaque::Opaque;
     pub use crate::result::{r#try, Result};

